"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var delete_masked_secret_attributes_function_1 = require("../delete-masked-secret-attributes.function");
describe("deleteMaskedSecretAttributes", function () {
    it("should leave out secret attributes in the passed model", function () {
        var model = {
            shouldBeSecret: "<secret>",
            regular: "regular",
            items: [{
                    shouldBeSecret: "<missing-secret>",
                    regular: "regular"
                }],
            nested: {
                shouldBeSecret: "90",
                regular: "regular"
            }
        };
        var modelMetadata = {
            attributes: {
                shouldBeSecret: {
                    isSecret: true
                },
                items: {
                    item: {
                        attributes: {
                            shouldBeSecret: {
                                isSecret: true
                            }
                        }
                    }
                },
                nested: {
                    attributes: {
                        shouldBeSecret: {
                            isSecret: true
                        }
                    }
                }
            }
        };
        var result = delete_masked_secret_attributes_function_1.deleteMaskedSecretAttributes({
            model: model,
            modelMetadata: modelMetadata
        });
        var expectedResult = {
            regular: "regular",
            items: [{
                    regular: "regular"
                }],
            nested: {
                shouldBeSecret: "90",
                regular: "regular"
            }
        };
        expect(result).toEqual(expectedResult);
    });
});
