"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mask_model_function_1 = require("../mask-model.function");
describe("maskArray", function () {
    var password = "1234";
    it("should return the passed value no metadata are passed", function () {
        var result = mask_model_function_1.maskArray({
            array: [password]
        });
        expect(result).toEqual([password]);
    });
    it("should proxy null or undefined", function () {
        var result = mask_model_function_1.maskArray({
            array: null
        });
        expect(result).toBeNull();
    });
    it("should call maskAttribute for included attributes", function () {
        spyOn(mask_model_function_1.maskArrayConfig, "maskAttribute").and.callThrough();
        var arrayMetadata = {};
        mask_model_function_1.maskArray({
            array: [password],
            arrayMetadata: arrayMetadata
        });
        expect(mask_model_function_1.maskArrayConfig.maskAttribute).toHaveBeenCalledWith({
            value: password,
            valueMetadata: undefined
        });
    });
    it("should call maskModel for included models", function () {
        spyOn(mask_model_function_1.maskArrayConfig, "maskModel").and.callThrough();
        var arrayMetadata = {};
        mask_model_function_1.maskArray({
            array: [{ password: password }],
            arrayMetadata: arrayMetadata
        });
        expect(mask_model_function_1.maskArrayConfig.maskModel).toHaveBeenCalledWith({
            model: { password: password },
            modelMetadata: undefined
        }, mask_model_function_1.maskArrayConfig);
    });
    it("should call maskArray for included models", function () {
        spyOn(mask_model_function_1.maskArrayConfig, "maskArray").and.callThrough();
        var arrayMetadata = {};
        mask_model_function_1.maskArray({
            array: [[password]],
            arrayMetadata: arrayMetadata
        });
        expect(mask_model_function_1.maskArrayConfig.maskArray).toHaveBeenCalledWith({
            array: [password],
            arrayMetadata: undefined
        }, mask_model_function_1.maskArrayConfig);
    });
});
