"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mask_model_function_1 = require("../mask-model.function");
describe("maskAttribute", function () {
    var password = "1234";
    it("should return a masked value if a string is passed and isSecret is true", function () {
        var attributeMetadata = { isSecret: true };
        var result = mask_model_function_1.maskAttribute({
            value: password,
            attributeMetadata: attributeMetadata
        });
        expect(result).toBe("<secret>");
    });
    it("should return the passed value if a string is passed and isSecret is not set or false", function () {
        var attributeMetadata = { isSecret: false };
        var result = mask_model_function_1.maskAttribute({
            value: password,
            attributeMetadata: attributeMetadata
        });
        expect(result).toBe(password);
    });
    it("should return the passed value no metadata are passed", function () {
        var result = mask_model_function_1.maskAttribute({
            value: password
        });
        expect(result).toBe(password);
    });
    it("should proxy null or undefined", function () {
        var result = mask_model_function_1.maskAttribute({
            value: null
        });
        expect(result).toBeNull();
    });
});
