import { ArrayMetadata, AttributeMetadata, ModelMetadata, Secret } from "../../models";
export declare function resolveMaskedAttribute<TValue>(payload: {
    readonly value: TValue extends string ? Secret<TValue> : TValue;
    readonly referenceValue?: TValue;
    readonly attributeMetadata?: AttributeMetadata<TValue>;
}): TValue;
export declare const resolvedMaskedModelConfig: {
    resolveMaskedAttribute: typeof resolveMaskedAttribute;
    resolveMaskedModel: typeof resolveMaskedModel;
    resolveMaskedArray: typeof resolveMaskedArray;
};
export declare function resolveMaskedModel<TModel>(payload: {
    readonly model: TModel;
    readonly referenceModel?: TModel;
    readonly modelMetadata?: ModelMetadata<TModel>;
}, config?: {
    resolveMaskedAttribute: typeof resolveMaskedAttribute;
    resolveMaskedModel: typeof resolveMaskedModel;
    resolveMaskedArray: typeof resolveMaskedArray;
}): TModel;
export declare const resolvedMaskedArrayConfig: {
    resolveMaskedAttribute: typeof resolveMaskedAttribute;
    resolveMaskedModel: typeof resolveMaskedModel;
    resolveMaskedArray: typeof resolveMaskedArray;
};
export declare function resolveMaskedArray<TArray extends any[]>(payload: {
    readonly array: TArray;
    readonly referenceArray?: TArray;
    readonly arrayMetadata?: ArrayMetadata<TArray[0]>;
}, config?: {
    resolveMaskedAttribute: typeof resolveMaskedAttribute;
    resolveMaskedModel: typeof resolveMaskedModel;
    resolveMaskedArray: typeof resolveMaskedArray;
}): TArray;
