"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMaxViolationError = void 0;
function createMaxViolationError(payload) {
    var value = payload.value;
    var attributePath = payload.attributePath;
    var modelId = payload.modelId;
    var modelType = payload.modelType;
    var max = payload.max;
    return {
        title: "Allowed maximum violated",
        message: "The attribute '" + attributePath + "'s value or length of '" + value + "' is above the allowed maximum '" + max + "'.",
        modelId: modelId, modelType: modelType, attributePath: attributePath
    };
}
exports.createMaxViolationError = createMaxViolationError;
