"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMinViolationError = void 0;
function createMinViolationError(payload) {
    var value = payload.value;
    var attributePath = payload.attributePath;
    var modelId = payload.modelId;
    var modelType = payload.modelType;
    var min = payload.min;
    return {
        title: "Allowed minimum violated",
        message: "The attribute '" + attributePath + "'s value or length of '" + value + "' is below the allowed minimum '" + min + "'.",
        modelId: modelId, modelType: modelType, attributePath: attributePath
    };
}
exports.createMinViolationError = createMinViolationError;
