import { ArrayMetadata, AttributeMetadata, ModelMetadata, ModelValidationResult } from "../../models";
export declare function validateAttribute<TValue>(payload: {
    readonly value: TValue;
    readonly attributePath: string;
    readonly attributeMetadata?: AttributeMetadata<TValue>;
    readonly modelId: string;
    readonly modelType: string;
}): ModelValidationResult;
export declare const validateModelConfig: {
    validateArray: typeof validateArray;
    validateModel: typeof validateModel;
    validateAttribute: typeof validateAttribute;
};
export declare function validateModel<TModel>(payload: {
    readonly model: TModel;
    readonly attributePath?: string;
    readonly modelMetadata?: ModelMetadata<TModel>;
    readonly modelId: string;
    readonly modelType: string;
}, config?: {
    validateArray: typeof validateArray;
    validateModel: typeof validateModel;
    validateAttribute: typeof validateAttribute;
}): ModelValidationResult;
export declare const validateArrayConfig: {
    validateArray: typeof validateArray;
    validateModel: typeof validateModel;
    validateAttribute: typeof validateAttribute;
};
export declare function validateArray<TArray extends any[]>(payload: {
    readonly array: TArray;
    readonly attributePath?: string;
    readonly arrayMetadata?: ArrayMetadata<TArray[0]>;
    readonly modelId: string;
    readonly modelType: string;
}, config?: {
    validateArray: typeof validateArray;
    validateModel: typeof validateModel;
    validateAttribute: typeof validateAttribute;
}): ModelValidationResult;
